aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-08-06 21:00:26 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2007-08-06 21:00:26 +0000
commit8997c8274c4b2691b1182ec682e5c3aa2b74ec53 (patch)
treebeecad44f5b53597d926ce520156fdb73e8c2e92
parenta7232721bebfa7a2f63fa72b3c57947755b13299 (diff)
downloadslackbuilds-8997c8274c4b2691b1182ec682e5c3aa2b74ec53.tar.gz
slackbuilds-8997c8274c4b2691b1182ec682e5c3aa2b74ec53.tar.bz2
dosbox, sdl-sound, libdvdcss
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1312 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xgames/emulation/dosbox/dosbox.SlackBuild30
-rw-r--r--games/emulation/dosbox/slack-required8
-rwxr-xr-xmedia/libs/libdvdcss/libdvdcss.SlackBuild42
-rwxr-xr-xmedia/libs/sdl-sound/sdl-sound.SlackBuild147
-rw-r--r--media/libs/sdl-sound/slack-required4
5 files changed, 192 insertions, 39 deletions
diff --git a/games/emulation/dosbox/dosbox.SlackBuild b/games/emulation/dosbox/dosbox.SlackBuild
index 5afe0eb8..6f7add2a 100755
--- a/games/emulation/dosbox/dosbox.SlackBuild
+++ b/games/emulation/dosbox/dosbox.SlackBuild
@@ -15,8 +15,8 @@
# Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for dosbox, by Rudson R. Alves
-# requires: [[REQUIRES]]
-# tested: dosbox-0.70
+# requires: sdl ncurses libpng sdl-net sdl-sound
+# tested: dosbox-0.71
#
# Look for slackbuildrc
@@ -30,8 +30,8 @@ fi
CWD="$(pwd)"
SRC_NAME="dosbox"
PKG_NAME="dosbox"
-ARCH=${ARCH:=i468}
-SRC_VERSION=${VERSION:=0.70}
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=0.71}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
@@ -41,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -75,13 +75,14 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.gz"
+SRC="$SRC_NAME-$VERSION.tar.gz"
URL="http://downloads.sourceforge.net/dosbox/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+
# Untar
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
@@ -91,15 +92,7 @@ cd "$PKG_SRC"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" \
- --localstatedir=/var \
- --sysconfdir=/etc \
- --datarootdir=/usr \
- --datadir=/usr/share \
- --program-prefix="" \
- --program-suffix="" \
- --libdir="$LIBDIR" "$CONF_OPTIONS" \
- --build=$ARCH-slackware-linux || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -130,14 +123,14 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
dosbox: DOSBox.slackBuild by Slack.Sarava
-dosbox:
+dosbox:
dosbox: DOSBox is a DOS-emulator that uses the SDL-library which makes DOSBox
dosbox: very easy to port to different platforms. DOSBox has already been
dosbox: ported to many different platforms, such as Windows, BeOS, Linux,
dosbox: MacOS X...
-dosbox:
+dosbox:
dosbox: DOSBox also emulates CPU:286/386 realmode/protected mode, Directory
dosbox: FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA graphics, a
dosbox: SoundBlaster/Gravis Ultra Sound card for excellent sound
@@ -152,4 +145,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/games/emulation/dosbox/slack-required b/games/emulation/dosbox/slack-required
new file mode 100644
index 00000000..eb8f55b1
--- /dev/null
+++ b/games/emulation/dosbox/slack-required
@@ -0,0 +1,8 @@
+# Dependency list to dosbox
+#
+# dependency [condition] [version]]
+sdl
+ncurses
+libpng
+sdl-net
+sdl-sound
diff --git a/media/libs/libdvdcss/libdvdcss.SlackBuild b/media/libs/libdvdcss/libdvdcss.SlackBuild
index eec58eae..6de4ec7f 100755
--- a/media/libs/libdvdcss/libdvdcss.SlackBuild
+++ b/media/libs/libdvdcss/libdvdcss.SlackBuild
@@ -1,21 +1,22 @@
#!/bin/bash
#
-# libdvdcss.SlackBuild is free software; you can redistribute it and/or modify it under the
-# terms of the GNU General Public License as published by the Free Software
-# Foundation; either version 2 of the License, or any later version.
+# libdvdcss.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
#
-# libdvdcss.SlackBuild is distributed in the hope that it will be useful, but WITHOUT ANY
-# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+# libdvdcss.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place - Suite 330, Boston, MA 02111-1307, USA
#
-# SlackBuild for libdvdcss
-# http://download.videolan.org/pub/libdvdcss/1.2.9/
-#
-# Author: Rudson R. Alves
+# slackbuild for libdvdcss, by Rudson R. Alves
+# requires: Null
+# tested: libdvdcss-1.2.9
#
# Look for slackbuildrc
@@ -29,7 +30,7 @@ fi
CWD="$(pwd)"
SRC_NAME="libdvdcss"
PKG_NAME="libdvdcss"
-ARCH=${ARCH:=i468}
+ARCH=${ARCH:=i486}
SRC_VERSION=${VERSION:=1.2.9}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1rra}
@@ -40,7 +41,7 @@ REPOS=${REPOS:=$TMP}
PREFIX=${PREFIX:=/usr}
PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
CONF_OPTIONS=${CONF_OPTIONS:=""}
-NUMJOBS=${NUMJOBS:="-j4"}
+NUMJOBS=${NUMJOBS:="-j7"}
# Set system libraries' path and optmization flags based on $ARCH
LIBDIR="$PREFIX/lib"
@@ -74,23 +75,25 @@ mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
# Dowload source if necessary
-SRC="$SRC_NAME-$SRC_VERSION.tar.bz2"
+SRC="$SRC_NAME-$VERSION.tar.bz2"
URL="http://download.videolan.org/pub/libdvdcss/1.2.9/$SRC"
if [ ! -s "$SRC_DIR/$SRC" ] || ! bunzip2 -t "$SRC_DIR/$SRC" 2> /dev/null; then
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
-# Untar
+
cd "$TMP"
tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
+for i in `grep -r 'é' * | cut -f1 -d:`; do sed 's/é/e/g' $i > $i.out; mv $i.out $i; done
+
# Configure
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix="$PREFIX" --libdir="$LIBDIR" "$CONF_OPTIONS" || exit $ERROR_CONF
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
# Compile
make $NUMJOBS || exit $ERROR_MAKE
@@ -107,7 +110,7 @@ make install DESTDIR="$PKG" || exit $ERROR_INSTALL
)
# Install documentation
-DOCS="NEWS README AUTHORS INSTALL ChangeLog COPYING"
+DOCS="AUTHORS ChangeLog README COPYING INSTALL NEWS"
mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
@@ -121,12 +124,12 @@ cat << EODESC > "$PKG/install/slack-desc"
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler---------------------------------------------------|
+ |-----handy-ruler----------------------------------------------------|
libdvdcss: Libdvdcss.SlackBuild by Rudson R. Alves
libdvdcss:
libdvdcss: libdvdcss is part of the VideoLAN project, a full MPEG2 client/
-libdvdcss: server solution. The VideoLAN Client can also be used as a
-libdvdcss: standalone program to play MPEG2 streams from a hard disk or a
+libdvdcss: server solution. The VideoLAN Client can also be used as a
+libdvdcss: standalone program to play MPEG2 streams from a hard disk or a
libdvdcss: DVD.
libdvdcss:
libdvdcss:
@@ -142,4 +145,3 @@ makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERRO
if [ "$CLEANUP" == "yes" ]; then
rm -rf "$PKG_SRC" "$PKG"
fi
-
diff --git a/media/libs/sdl-sound/sdl-sound.SlackBuild b/media/libs/sdl-sound/sdl-sound.SlackBuild
new file mode 100755
index 00000000..b9e69706
--- /dev/null
+++ b/media/libs/sdl-sound/sdl-sound.SlackBuild
@@ -0,0 +1,147 @@
+#!/bin/bash
+#
+# sdl-sound.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# sdl-sound.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for sdl-sound, by Rudson R. Alves
+# requires: sdl
+# tested: sdl-sound-1.0.1
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="SDL_sound"
+PKG_NAME="sdl-sound"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.0.1}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1rra}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_SRC="$TMP/$SRC_NAME-$SRC_VERSION"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j7"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_SRC" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://icculus.org/SDL_sound/downloads/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+
+# Untar
+cd "$TMP"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="CHANGELOG COPYING CREDITS TODO INSTALL README"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+cp -a $DOCS "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+sdl-sound: SDL_sound by Slack.Sarava
+sdl-sound:
+sdl-sound: SDL_sound is a library that handles the decoding of several popular
+sdl-sound: sound file formats such as .WAV and .MP3. Designed to make the task
+sdl-sound: of sound playback easier, SDL_sound accepts files or other input
+sdl-sound: through an abstraction layer and returns the decoded waveform.
+sdl-sound: SDL_sound can decode a whole sound file and hand back a single
+sdl-sound: pointer to the waveform, or SDL_sound can process sound data in
+sdl-sound: programmer-specified blocks when resource constraints are a concern.
+sdl-sound: SDL_sound can also handle sample rate, audio format, and channel
+sdl-sound: conversion on-the-fly.
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_SRC" "$PKG"
+fi
diff --git a/media/libs/sdl-sound/slack-required b/media/libs/sdl-sound/slack-required
new file mode 100644
index 00000000..bfe6a438
--- /dev/null
+++ b/media/libs/sdl-sound/slack-required
@@ -0,0 +1,4 @@
+# Dependency list to SDL_sound
+#
+# dependency [condition] [version]]
+sdl